<?php
/*
Plugin Name: Custom WooCommerce Checkout Additional Field
Description: Make the additional information field non-optional.
Version: 1.0
Author: Webdesign OWL
*/

// Hook into the WooCommerce checkout process to modify the "additional information" field.
function custom_modify_additional_information_field($fields) {
    if (isset($fields['order']['order_comments'])) {
        // Modify the label for the field
        $fields['order']['order_comments']['label'] = 'Bitte gib Lieferdatum und -zeitraum an + falls vorhanden Anmerkungen zur Bestellung';

        // Modify the placeholder text for the field
        $fields['order']['order_comments']['placeholder'] = 'Lieferdatum und -zeitraum + falls vorhanden Anmerkungen zur Bestellung';

        $fields['order']['order_comments']['required'] = true;
    }

    return $fields;
}
add_filter('woocommerce_checkout_fields', 'custom_modify_additional_information_field');

// Add a custom error message if the "additional information" field is not filled.
function custom_validate_additional_information_field() {
    if (empty($_POST['order_comments'])) {
        wc_add_notice('Bitte gib Lieferdatum und -zeitraum an + falls vorhanden Anmerkungen zur Bestellung', 'error');
    }
}
add_action('woocommerce_checkout_process', 'custom_validate_additional_information_field');
?>